#include <stdio.h>
#include <math.h>
int main()
{
	int t, res = 0;
	scanf("%d", &t);
	while(t--)
	{
		int n;
		scanf("%d", &n);
		int a[n], b[n];
		for (int i = 0; i < n; i++) scanf("%d", &a[i]);
		for (int i = 0; i < n; i++) scanf("%d", &b[i]);
		for (int i = 0; i < n; i++)
		{
			res = 0;
			for (int j = 0; j < n; j++)
			{
				if (a[i] == b[j] || -a[i] == b[j] || a[i] == -b[j])
				{
					int dal = 0;
					if (a[i] > 0) dal++;
					if (b[j] > 0) dal++;
					if (dal == 1)
					{
						if (abs(i - j) % 2 != 1)
						{
							res = 1;
							break;
						}	
					} else
					{
						if (abs(i - j) % 2 != 0)
						{
							res = 1;
							break;
						}	
					}
				}
			}
		}
		if (res != 0) printf("NE \n");
		else printf("DA \n");
	}
}